Package org.apache.groovy.contracts.common.impl.lc

# Class PreconditionLifecycle

java.lang.Object
org.apache.groovy.contracts.common.base.BaseLifecycle
org.apache.groovy.contracts.common.impl.lc.PreconditionLifecycle

All Implemented Interfaces:
  `Lifecycle`

public class PreconditionLifecycle extends BaseLifecycle
Internal `Lifecycle` implementation for pre-conditions.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PreconditionLifecycle()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `afterProcessingMethodNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode methodNode)`
  `void`
  `beforeProcessingConstructorNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode constructorNode)`

  ### Methods inherited from class org.apache.groovy.contracts.common.base.BaseLifecycle

  `afterProcessingClassNode, afterProcessingConstructorNode, beforeProcessingClassNode, beforeProcessingMethodNode`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PreconditionLifecycle

    public PreconditionLifecycle()

- ## Method Details

  - ### beforeProcessingConstructorNode

    public void beforeProcessingConstructorNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode constructorNode)
    Specified by:
      `beforeProcessingConstructorNode` in interface `Lifecycle`
    Overrides:
      `beforeProcessingConstructorNode` in class `BaseLifecycle`

  - ### afterProcessingMethodNode

    public void afterProcessingMethodNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode methodNode)
    Specified by:
      `afterProcessingMethodNode` in interface `Lifecycle`
    Overrides:
      `afterProcessingMethodNode` in class `BaseLifecycle`